Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.sax
Interface Attributes

    public interface Attributes

This interface represents a list of XML attributes.

It is a more efficient version of `org.xml.sax.Attributes` with `CharArray`/`CharSequence` instead of the `String` to avoid forcing dynamic object allocations.

Version:
  4.0, June 16, 2006
Author:
  David Megginson, Jean-Marie Dautelle

Method Summary
`int` | `getIndex(java.lang.CharSequence qName)` Looks up the index of an attribute by XML 1.0 qualified name (convenience method).
`int` | `getIndex(java.lang.CharSequence uri, java.lang.CharSequence localName)` Looks up the index of an attribute by namespace name (convenience method).
`int` | `getLength()` Returns the number of attributes in this list of attributes.
`CharArray` | `getLocalName(int index)` Looks up an attribute's local name by index.
`CharArray` | `getQName(int index)` Looks up an attribute's XML 1.0 qualified name by index.
`CharArray` | `getType(java.lang.CharSequence qName)` Looks up an attribute's type by XML 1.0 qualified name.
`CharArray` | `getType(java.lang.CharSequence uri, java.lang.CharSequence localName)` Looks up an attribute's type by Namespace name (convenience method).
`CharArray` | `getType(int index)` Looks up an attribute's type by index.
`CharArray` | `getURI(int index)` Looks up an attribute's Namespace URI by index.
`CharArray` | `getValue(java.lang.CharSequence qName)` Looks up an attribute's value by XML 1.0 qualified name (convenience method).
`CharArray` | `getValue(java.lang.CharSequence uri, java.lang.CharSequence localName)` Looks up an attribute's value by Namespace name (convenience method).
`CharArray` | `getValue(int index)` Looks up an attribute's value by index.

Method Detail

### getLength

    int getLength()

  Returns the number of attributes in this list of attributes.

  Returns:
    the number of attributes.

### getURI

    CharArray getURI(int index)

  Looks up an attribute's Namespace URI by index.

  Parameters:
    `index` - the attribute index (zero-based).
  Returns:
    the Namespace URI, or an empty character sequence if none is available, or `null` if the index is out of range.
  See Also:
    `getLength()`

### getLocalName

    CharArray getLocalName(int index)

  Looks up an attribute's local name by index.

  Parameters:
    `index` - the attribute index (zero-based).
  Returns:
    the local name, or an empty character sequence if Namespace processing is not being performed, or `null` if the index is out of range.
  See Also:
    `getLength()`

### getQName

    CharArray getQName(int index)

  Looks up an attribute's XML 1.0 qualified name by index.

  Parameters:
    `index` - the attribute index (zero-based).
  Returns:
    the XML 1.0 qualified name, or an empty character sequence if none is available, or `null` if the index is out of range.
  See Also:
    `getLength()`

### getType

    CharArray getType(int index)

  Looks up an attribute's type by index.

  The attribute type is one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION" (always in upper case).

  If the parser has not read a declaration for the attribute, or if the parser does not report attribute types, then it must return the value "CDATA" as stated in the XML 1.0 Recommentation (clause 3.3.3, "Attribute-TextBuilder Normalization").

  For an enumerated attribute that is not a notation, the parser will report the type as "NMTOKEN".

  Parameters:
    `index` - the attribute index (zero-based).
  Returns:
    the attribute's type as a string, or null if the index is out of range.
  See Also:
    `getLength()`

### getValue

    CharArray getValue(int index)

  Looks up an attribute's value by index.

  If the attribute value is a list of tokens (IDREFS, ENTITIES, or NMTOKENS), the tokens will be concatenated into a single string with each token separated by a single space.

  Parameters:
    `index` - the attribute index (zero-based).
  Returns:
    the attribute's value as a character sequence, `null` if the index is out of range.
  See Also:
    `getLength()`

### getIndex

    int getIndex(java.lang.CharSequence uri,
                 java.lang.CharSequence localName)

  Looks up the index of an attribute by namespace name (convenience method). This method returns the index of the attribute whose uri/localName have the same character content as the specified uri/localName.

  Parameters:
    `uri` - the Namespace URI, or an empty character sequence if the name has no Namespace URI.
    `localName` - the attribute's local name.
  Returns:
    the index of the attribute, or `-1` if it does not appear in the list.

### getIndex

    int getIndex(java.lang.CharSequence qName)

  Looks up the index of an attribute by XML 1.0 qualified name (convenience method). This method returns the index of the attribute whose name has the same character content as the specified qName.

  Parameters:
    `qName` - the qualified (prefixed) name.
  Returns:
    the index of the attribute, or `-1` if it does not appear in the list.

### getType

    CharArray getType(java.lang.CharSequence uri,
                      java.lang.CharSequence localName)

  Looks up an attribute's type by Namespace name (convenience method). This method returns the type of the attribute whose uri/localName have the same character content as the specified uri/localName.

  Parameters:
    `uri` - the Namespace URI, or an empty string if the name has no Namespace URI.
    `localName` - the local name of the attribute.
  Returns:
    the attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### getType

    CharArray getType(java.lang.CharSequence qName)

  Looks up an attribute's type by XML 1.0 qualified name. This method returns the type of the attribute whose qName has the same character content as the specified qName.

  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    the attribute type as a string, or null if the attribute is not in the list or if qualified names are not available.

### getValue

    CharArray getValue(java.lang.CharSequence uri,
                       java.lang.CharSequence localName)

  Looks up an attribute's value by Namespace name (convenience method). This method returns the value of the attribute whose uri/localName have the same character content as the specified uri/localName.

  Parameters:
    `uri` - the Namespace URI, or the empty string if the name has no Namespace URI.
    `localName` - the local name of the attribute.
  Returns:
    the attribute value as a character sequence, or `null` if the attribute is not in the list.

### getValue

    CharArray getValue(java.lang.CharSequence qName)

  Looks up an attribute's value by XML 1.0 qualified name (convenience method). This method returns the value of the attribute whose qName has the same character content as the specified qName.

  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    the attribute value as a character sequence, or `null` if the attribute is not in the list or if qualified names are not available.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.